cURL
curl -X GET \
-H 'Authorization: Bearer $API_KEY' \
-H 'Accept: application/json' \
'$BASE_URL/workflows/$workflow_id'import requests
headers = {
'x-api-key': '<YOUR_API_KEY>',
'Authorization': 'Bearer <YOUR_JWT_TOKEN>',
'Accept': 'application/json'
}
resp = requests.get(f"https://example.com/workflows/{{workflow_id}}", headers=headers)
print(resp.status_code, resp.json())fetch(`https://example.com/workflows/${workflow_id}`, {
method: 'GET',
headers: {
'x-api-key': '<YOUR_API_KEY>',
'Authorization': 'Bearer <YOUR_JWT_TOKEN>',
'Accept': 'application/json'
}
}).then(res => res.json())
.then(data => console.log(data))
.catch(err => console.error(err));// Using HttpClient
HttpClient client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "<YOUR_API_KEY>");
client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", "<YOUR_JWT_TOKEN>");
var response = await client.GetAsync($"https://example.com/workflows/{workflow_id}");
string content = await response.Content.ReadAsStringAsync();
Console.WriteLine(response.StatusCode);
Console.WriteLine(content);{
"workflow": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Example Workflow",
"team_id": "41480ee5-14ff-4f9e-89bf-91b0a8e50e77",
"canvas_type": 0,
"created_at": "2025-01-02T10:00:00Z"
}
}{
"description": "Unauthorized. Check your JWT or API key."
}{
"description": "Forbidden. You do not have permission to access this workflow."
}{
"description": "Not Found. The requested workflow could not be found."
}{
"description": "Internal Server Error. Something went wrong on the server."
}Workflows
Get Workflows by ID
Retrieves a single workflow record by ID. Requires both JWT and x-api-key.
GET
/
workflows
/
{workflow_id}
cURL
curl -X GET \
-H 'Authorization: Bearer $API_KEY' \
-H 'Accept: application/json' \
'$BASE_URL/workflows/$workflow_id'import requests
headers = {
'x-api-key': '<YOUR_API_KEY>',
'Authorization': 'Bearer <YOUR_JWT_TOKEN>',
'Accept': 'application/json'
}
resp = requests.get(f"https://example.com/workflows/{{workflow_id}}", headers=headers)
print(resp.status_code, resp.json())fetch(`https://example.com/workflows/${workflow_id}`, {
method: 'GET',
headers: {
'x-api-key': '<YOUR_API_KEY>',
'Authorization': 'Bearer <YOUR_JWT_TOKEN>',
'Accept': 'application/json'
}
}).then(res => res.json())
.then(data => console.log(data))
.catch(err => console.error(err));// Using HttpClient
HttpClient client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "<YOUR_API_KEY>");
client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", "<YOUR_JWT_TOKEN>");
var response = await client.GetAsync($"https://example.com/workflows/{workflow_id}");
string content = await response.Content.ReadAsStringAsync();
Console.WriteLine(response.StatusCode);
Console.WriteLine(content);{
"workflow": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Example Workflow",
"team_id": "41480ee5-14ff-4f9e-89bf-91b0a8e50e77",
"canvas_type": 0,
"created_at": "2025-01-02T10:00:00Z"
}
}{
"description": "Unauthorized. Check your JWT or API key."
}{
"description": "Forbidden. You do not have permission to access this workflow."
}{
"description": "Not Found. The requested workflow could not be found."
}{
"description": "Internal Server Error. Something went wrong on the server."
}Headers
Your API key. This is required by most endpoints to access the API programmatically. You can view your x-api-key using the 'Profile' tab on the website.
Bearer token for authentication (JWT).
Path Parameters
The UUID of the workflow you want to retrieve.
Response
Workflow retrieved successfully.
A JSON object representing the found workflow.
⌘I